%define major                 0
%define libname               %mklibname nfnetlink %{major}
%define libnamedevel          %mklibname nfnetlink -d
%define libnamedevelold       %mklibname nfnetlink 0-devel
%define libnamestaticdevel    %mklibname nfnetlink -d -s
%define libnamestaticdevelold %mklibname nfnetlink 0-static-devel

Name:           libnfnetlink
Version:        1.0.0
Release:        %mkrel 1
Epoch:          0
Summary:        Userspace library for handling of netfilter netlink messages
Group:          System/Libraries
License:        GPL
URL:            http://www.netfilter.org/projects/libnfnetlink/index.html
Source0:        http://www.netfilter.org/projects/libnfnetlink/files/libnfnetlink-%{version}.tar.bz2
Source1:        http://www.netfilter.org/projects/libnfnetlink/files/libnfnetlink-%{version}.tar.bz2.sig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
nfnetlink is a netlink(7) based kernel/userspace transport layer. It
provides a unified kernel/userspace interface for the various netfilter
subsystems, such as connection tracking, logging and queueing.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{epoch}:%{version}-%{release}
Provides:       nfnetlink = %{epoch}:%{version}-%{release}

%description -n %{libname}
libnfnetlink is a userspace library that provides some low-level
nfnetlink handling functions. It is used as a foundation for other, netfilter
subsystem specific libraries such as libnfnetlink_conntrack, libnfnetlink_log
and libnfnetlink_queue.

%package -n %{libnamedevel}
Summary:        Development files for %{name}
Group:          System/Libraries
Obsoletes:      %{libnamedevelold} < %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname -d nfnetlink 1} < %{epoch}:%{version}-%{release}
Provides:       nfnetlink-devel = %{epoch}:%{version}-%{release}
Requires:       %{libname} = %{epoch}:%{version}-%{release}

%description -n %{libnamedevel}
This package contains the development files for %{name}.

%package -n %{libnamestaticdevel}
Summary:        Static development files for %{name}
Group:          System/Libraries
Obsoletes:      %{libnamestaticdevelold} < %{epoch}:%{version}-%{release}
Obsoletes:      %{mklibname -s -d nfnetlink 1} < %{epoch}:%{version}-%{release}
Provides:       nfnetlink-static-devel = %{epoch}:%{version}-%{release}
Requires:       %{libnamedevel} = %{epoch}:%{version}-%{release}

%description -n %{libnamestaticdevel}
This package contains the static development files for %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

%check
%make check

%clean
%{__rm} -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root,-)
%doc README
%{_libdir}/*.so.%{major}*

%files -n %{libnamedevel}
%defattr(-,root,root,-)
%{_includedir}/libnfnetlink
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnfnetlink.pc
%{_libdir}/*.la

%files -n %{libnamestaticdevel}
%defattr(-,root,root,-)
%{_libdir}/*.a


%changelog
* Sat Feb 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:1.0.0-1mdv2010.1
+ Revision: 512395
- update to new version 1.0.0

* Sun Sep 13 2009 Thierry Vignaud <tv@mandriva.org> 0:0.0.41-2mdv2010.0
+ Revision: 438720
- rebuild

* Sun Mar 08 2009 Emmanuel Andry <eandry@mandriva.org> 0:0.0.41-1mdv2009.1
+ Revision: 352828
- New version 0.0.41
- fix macros syntax

* Mon Jan 19 2009 Jérôme Soyer <saispo@mandriva.org> 0:0.0.40-1mdv2009.1
+ Revision: 331192
- New upstream release

* Sat Aug 16 2008 Funda Wang <fwang@mandriva.org> 0:0.0.39-2mdv2009.0
+ Revision: 272606
- obsoletes old devel libs

* Sun Jul 27 2008 David Walluck <walluck@mandriva.org> 0:0.0.39-1mdv2009.0
+ Revision: 250486
- 0.0.39

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Apr 20 2008 David Walluck <walluck@mandriva.org> 0:0.0.33-1mdv2009.0
+ Revision: 195978
- 0.0.33

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 David Walluck <walluck@mandriva.org> 0:0.0.30-2mdv2008.1
+ Revision: 101969
- rebuild

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 0:0.0.30-1mdv2008.0
+ Revision: 79233
- 0.0.30
- new lib policy

* Thu May 24 2007 David Walluck <walluck@mandriva.org> 0:0.0.25-3mdv2008.0
+ Revision: 30602
- really fix major

* Thu May 24 2007 David Walluck <walluck@mandriva.org> 0:0.0.25-2mdv2008.0
+ Revision: 30564
- fix lib major version

* Wed May 23 2007 David Walluck <walluck@mandriva.org> 0:0.0.25-1mdv2008.0
+ Revision: 30373
- 0.0.25

* Sun Apr 22 2007 David Walluck <walluck@mandriva.org> 0:0.0.16-3mdv2008.0
+ Revision: 16713
- include sig file


* Fri Sep 15 2006 David Walluck <walluck@mandriva.org> 0:0.0.16-1mdv2007.0
- release

